/*
 * $Id: Model_get_debug.cpp 129 2009-06-29 16:38:40Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Model.h"
#include "Common/include/Debug.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Model::get_debug"
  bool Model::get_debug (std::string component)
  {
//     log_begin(Behavioural,FUNCTION);

    bool _return;

    std::map<std::string,model_t>::iterator it = models.find(component);

    if (it != models.end())
      _return = it->second.debug;
    else
      _return = default_debug;
    
//     log_end(Behavioural,FUNCTION);

    return _return;
  }

}; // end namespace behavioural          
}; // end namespace morpheo              
